# cloud_backup.restore

Restore files to the directory destination_path from the snapshot_id subfolder subfolder created by the cloud backup job id.

This method is a job.

Type: object

##

Type: array
No Additional Items

#### Tuple Validation

##### Parameter 1: id

#### id

Type: integer

ID of the cloud backup task.

##### Parameter 2: snapshot_id

#### snapshot_id

Type: string

ID of the snapshot to restore.

Must match regular expression: `^[^-]`

##### Parameter 3: subfolder

#### subfolder

Type: string

Path within the snapshot to restore.

##### Parameter 4: destination_path

#### destination_path

Type: string

Local path to restore to.

##### Parameter 5: options

#### options

Type: object
Default:
{ "exclude": [], "include": [], "rate_limit": null }

Additional restore options.

No Additional Properties

##

#### Exclude

Type: array of string Default: []

Paths to exclude from a restore using `restic restore --exclude`.

No Additional Items

##### Each item of this array must be:

Type: string

##

#### Include

Type: array of string Default: []

Paths to include in a restore using `restic restore --include`.

No Additional Items

##### Each item of this array must be:

Type: string

##

#### Rate Limit

Default: null

Maximum download rate in KiB/s. Passed to `restic --limit-download`.

If provided, overrides the task's rate limit.

## Any of

Type: integer

Value must be strictly greater than `0`

Type: null

##

#### Result

Type: null

Required roles: FILESYSTEM_DATA_WRITE